<template>
  <div id="app">
    <Navigation class="sidebar"/>

    <router-view class="content">
    </router-view>

    <Footer class="footer"/>
  </div>
</template>

<script>
  import Navigation from './components/Navigation.vue'
  import Footer from './components/Footer.vue'

  export default {
    name: 'app',
    components: {
      Navigation,
      Footer
    }
  }
</script>

<style>
  * {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
  }

  a {
    color: #268BD2;
    text-decoration: none;
    font-weight: normal;
  }

  a:hover {
    text-shadow: 0 0 0.01px #268BD2;
  }

  h2 {
    padding: 10px 0;
  }

  h3, p {
    padding: 5px 0;
  }

  ul {
    list-style: none;
    text-align: left;
  }

  li:before {
    content: "‣";
    padding-right: 5px;
  }

  #app {
    font-family: 'Avenir', Helvetica, Arial, sans-serif;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    text-align: center;
    color: #2c3e50;
    margin: 30px auto 0 auto;
    width: 80%;
  }

  .sidebar {
    float: left;
    margin-top: 65px;
    border-right: 1px solid #ededed;
    width: auto;
  }

  .content {
    float: left;
    width: 80%;
    margin-top: 0px;
    margin-left: 20px;
    margin-bottom: 20px;
  }

  .footer {
    clear: both;
  }

  @media only screen and (max-width: 600px) {
    .sidebar {
      width: 98%;
      border-right: none;
      padding-bottom: 20px;
      border-bottom: 1px solid #ededed;
      margin-top: 10px;
    }

    .content {
      width: 98%;
      margin-left: 0px;
    }
  }

  @media only screen and (max-width: 1366px) {
    #app {
      width: 98%;
      margin-top: 10px;
    }
  }
</style>
